Verifier root CA certificates
Create a Verifier root CA certificate
/v2/presentations/certificates/caAuthorization
bearerAuth In: header
Request Body
application/json
Verifier root CA certificate payload
TypeScript Definitions
Use the request body type in TypeScript.
Verifier root CA certificate in PEM format. The certificate must be valid and not expired.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0",
"certificateData": {
"commonName": "Example Verifier",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"active": true,
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Retrieve all Verifier root CA certificates
/v2/presentations/certificates/caAuthorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca"{
"data": [
{
"id": "string",
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0",
"certificateData": {
"commonName": "Example Verifier",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"active": true,
"isManaged": true
}
],
"nextCursor": "string"
}Retrieve a Verifier root CA certificate
/v2/presentations/certificates/ca/{certificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the verifier root CA certificate.
uuidResponse Body
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca/281d20b3-42a3-40dd-b29a-115ff32b02b7"{
"id": "string",
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0",
"certificateData": {
"commonName": "Example Verifier",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"active": true,
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Update a Verifier root CA certificate
/v2/presentations/certificates/ca/{certificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the verifier root CA certificate.
uuidRequest Body
application/json
Verifier root CA certificate payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca/281d20b3-42a3-40dd-b29a-115ff32b02b7" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{
"id": "string",
"certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----",
"certificateFingerprint": "a3b2c1d4e5f60718293a4b5c6d7e8f90123456789abcdef0123456789abcdef0",
"certificateData": {
"commonName": "Example Verifier",
"country": "US",
"notAfter": "2024-10-22T00:00:00Z",
"notBefore": "2023-10-22T00:00:00Z"
},
"active": true,
"isManaged": true
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}Delete a Verifier root CA certificate
/v2/presentations/certificates/ca/{certificateId}Authorization
bearerAuth In: header
Path Parameters
Unique identifier for the verifier root CA certificate.
uuidResponse Body
application/json
curl -X DELETE "https://example.vii.au01.mattr.global/v2/presentations/certificates/ca/281d20b3-42a3-40dd-b29a-115ff32b02b7"{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Last updated on